intensity1 = nil
intensity2 = nil
timer = nil
lights1 = nil
lights2 = nil

function init()
	intensity1 = 0.8
	intensity2 = 0.1

	timer = 0

	lights1 = FindShapes("blink1")
	lights2 = FindShapes("blink2")

	for i=1,#lights1 do
		SetShapeEmissiveScale(lights1[i],intensity1)
	end
	for i=1,#lights2 do
		SetShapeEmissiveScale(lights2[i],intensity2)
	end
end

function tick(dt)
	timer = timer + dt
	if timer > 1 then
		timer = 0
		if intensity1 == 0.8 then
			intensity1 = 0.1
			intensity2 = 0.8
		else
			intensity1 = 0.8
			intensity2 = 0.1
		end
		for i=1,#lights1 do
			SetShapeEmissiveScale(lights1[i],intensity1)
		end
		for i=1,#lights2 do
			SetShapeEmissiveScale(lights2[i],intensity2)
		end
	end
end

